Uno
Integriruj
uno
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/uno?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/uno?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/uno", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/rom/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "uno",
"input": {
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Kall o Uno modelo (uno) vas o Doitong API. Dokumentacia vaš agentura: https://doitong.com/rom/developers/models/uno.md
POST https://api.doitong.ru/v1/run/uno?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Te o response status si "queued" vaj "running", ker polling GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 dži kaj te avel "succeeded"; e fajlo si andro outputs[].url. POST https://api.doitong.ru/v1/quote/uno sa jekhe body-esa del o precizno molipen angl-o phiripen.
Kava mangipen: $0.05 50 API krediti · ≈ ₽5.27 Phir les kate
Tiro nevo API klidin. Dikhavel pes akana numa thaj si angleder ando kodo thaj ando API klidin kotor tele. Garav les: na thovel les ande kodo savo keren andre jekh browser.
Tiro prvo rezultato si kate
Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.
Ker jekh mangipen
O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.
/run/uno?wait=20
hesab → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/uno?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/uno?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/uno", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "uno",
"input": {
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Phandel kava mangipen
Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ
Palal Uno
Generiril neve kipo jekhe promptosar thaj jekh vaj but referencikane kiposa ande `input_image_urls`. `image_size` lel presetura jekhar square dži 16:9 portrait thaj landscape, thaj `num_images` kerel 1 dži 4 rezultatora. `num_inference_steps` si jekhar 1 dži 50 thaj `guidance_scale` jekhar 1 dži 20. Rezultato si JPEG vaj PNG, jekhe semensa vaš reproduktiliteto.
Parametra
Bičhalav vaj e kanonikano nav vaj e native nav, na duj. Kanonikane nava
input_image_urlstrubul
image_sizeopcionalno
prompttrubul
seedopcionalno
num_imagesopcionalno
num_outputs
num_inference_stepsopcionalno
guidance_scaleopcionalno
output_formatopcionalno
enable_safety_checkeropcionalno
Fajloske parametra lel jekh publikano https:// URL, jekh data: URI dži 10 MB, vaj e file_url uploadoski. Fajlura
Rezultato
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "uno",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 50,
"usd": "0.05",
"charged": 50,
"refunded": 0
},
"input": {
"input_image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
],
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"timings": {},
"seed": 42,
"has_nsfw_concepts": [
false
],
"prompt": "The figurine is in the crystal ball"
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Outputoske fieldura
- images
- array of object {url, content_type, file_name, file_size, width, height}Generirime kiponge URL-ja.
- timings
- object
- seed
- integerKipo-generiripeqo seed, inkludirindoj o randomno kidlo valoro kana o inputo na sas seed; averčes, repetirisar o dindo valoro.
- has_nsfw_concepts
- array of booleanSikavel te si NSFW koncepto ande generirime kipo.
- prompt
- stringPrompto savo del pes vaš kipeskiri keripe.
Bute modeli: Editime e kipesko
AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/uno.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt



